NexRadio Class Reference
Nextion Component

NexRadio component. More...

`#include <NexRadio.h>`

Inherits NexTouch.

## Public Member Functions

| NexRadio (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
uint32_t | getValue (uint32_t *number)
| Get val attribute of component. More...
bool | setValue (uint32_t number)
| Set val attribute of component. More...
uint32_t | Get_background_color_bco (uint32_t *number)
| Get bco attribute of component. More...
bool | Set_background_color_bco (uint32_t number)
| Set bco attribute of component. More...
uint32_t | Get_font_color_pco (uint32_t *number)
| Get pco attribute of component. More...
bool | Set_font_color_pco (uint32_t number)
| Set pco attribute of component. More...
Public Member Functions inherited from NexTouch
| NexTouch (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | attachPush (NexTouchEventCb push, void *ptr=NULL)
| Attach an callback function of push touch event. More...
void | detachPush (void)
| Detach an callback function. More...
void | attachPop (NexTouchEventCb pop, void *ptr=NULL)
| Attach an callback function of pop touch event. More...
void | detachPop (void)
| Detach an callback function. More...
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | printObjInfo (void)
| Print current object'address, page id, component id and name. More...

## Detailed Description

NexRadio component.

Commonly, you want to do something after push and pop it. It is recommanded that only call NexTouch::attachPop to satisfy your purpose.

Warning
  Please do not call NexTouch::attachPush on this component, even though you can.

Definition at line 35 of file NexRadio.h.

## Constructor & Destructor Documentation

NexRadio::NexRadio | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

Definition at line 17 of file NexRadio.cpp.

## Member Function Documentation

uint32_t NexRadio::Get_background_color_bco | ( | uint32_t * | number | ) |

Get bco attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 45 of file NexRadio.cpp.

uint32_t NexRadio::Get_font_color_pco | ( | uint32_t * | number | ) |

Get pco attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 73 of file NexRadio.cpp.

uint32_t NexRadio::getValue | ( | uint32_t * | number | ) |

Get val attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 22 of file NexRadio.cpp.

bool NexRadio::Set_background_color_bco | ( | uint32_t | number | ) |

Set bco attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 55 of file NexRadio.cpp.

bool NexRadio::Set_font_color_pco | ( | uint32_t | number | ) |

Set pco attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 83 of file NexRadio.cpp.

bool NexRadio::setValue | ( | uint32_t | number | ) |

Set val attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 31 of file NexRadio.cpp.

The documentation for this class was generated from the following files:

- NexRadio.h
- NexRadio.cpp